Bug 1313854 - Default provisioning template does not try to configure ssh keys
Summary: Default provisioning template does not try to configure ssh keys
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Management
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Kedar Bidarkar
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-02 13:02 UTC by Marek Hulan
Modified: 2019-09-26 14:35 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:24:40 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 14005 None None None 2016-04-22 15:36:34 UTC
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Marek Hulan 2016-03-02 13:02:34 UTC
Recently there was a patch for setting up ssh keys as part of provisioning. Since katello ships it own version of kickstart template it should be updated to configure it as well. I'm not sure if there's some some better rebasing process, since it might be missing many more patches, but I'll send a PR at least with this change.

Comment 1 Marek Hulan 2016-03-02 13:02:36 UTC
Created from redmine issue http://projects.theforeman.org/issues/14005

Comment 2 Marek Hulan 2016-03-02 13:02:42 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 4 Bryan Kearney 2016-03-24 22:11:24 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/14005 has been closed
-------------
Marek Hulán
SSH support commit in community templates - https://github.com/theforeman/community-templates/commit/46549e603cd589d449f139d52fddb798a8c434f2
There's open PR with support in finish templates - https://github.com/theforeman/community-templates/pull/243 so I incorporated this as well.
-------------
Marek Hulán
Applied in changeset commit:katello|d2cf2b21e95564ccefa432bcbc62aa694229704b.

Comment 8 Kedar Bidarkar 2016-04-01 10:52:24 UTC
Katello Kickstart default finish  does has the line "<%= snippet('remote_execution_ssh_keys') %>"

VERIFIED with sat62-snap6

Comment 10 errata-xmlrpc 2016-07-27 09:24:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.